Package skyview.process.imagefinder

# Class MaxExposure

java.lang.Object
skyview.process.ImageFinder
skyview.process.imagefinder.RectRecurse
skyview.process.imagefinder.MaxExposure

Direct Known Subclasses:
  `GalexExposure`

public class MaxExposure extends RectRecurse
This class selects the best image for a pixel by looking for the image with the longest exposure that has the pixel in the field of view. Use of this Finder may not be optimal when using higher order samples, since it will tend to take images out to the edges and thus may have problems there. May wish to specify the MinEdge setting to cope with tht.

## Field Summary

### Fields inherited from class skyview.process.imagefinder.RectRecurse

`CONSUMED, fromOut, NO_COVERAGE, NON_PHYSICAL, SPLIT_X, SPLIT_XY, SPLIT_Y, UNCHECKED`

## Constructor Summary

Constructors
Constructor
Description
`MaxExposure()`

## Method Summary

Modifier and Type
Method
Description
`protected double`
`criterion(int index, int nx, int ny, double tx, double ty)`
The criterion for the best image
`int[]`
`findImages(Image[] input, Image output)`
Find the appropriate images.

### Methods inherited from class skyview.process.imagefinder.RectRecurse

`cornerMatch, edgeOff, getCandidate, getImage, getInputLimits, minDist, printOut, radiusSquared, setStrict`

### Methods inherited from class skyview.process.ImageFinder

`factory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaxExposure

public MaxExposure()

## Method Details

### findImages

public int[] findImages(Image[] input, Image output)
Find the appropriate images. This routine gets the exposures for all of the images before calling the standard BorderImageFinder.

Overrides:
  `findImages` in class `RectRecurse`
Parameters:
  `input` - An array of images that may be sampled to get the output image.
  `output` - The output image. In this routine we are interested in its geometry, not its data.
Returns:
  An index array which for each pixel in the output image gives the best image to sample. Note that this has dimension int[nx*ny] where nx changes most rapidly. The values of the index array can be:
  - >= 0: The pixel is best indexed with the given image.
  - -1: [internal] The best image for this pixel has not yet been determined.
  - -2: This pixel is not on any of the input images.
  - -3: This pixel does not represent a physical coordinate.
  - -4: [in other methods] this pixel has already been processed.

### criterion

protected double criterion(int index, int nx, int ny, double tx, double ty)
The criterion for the best image

Specified by:
  `criterion` in class `RectRecurse`
Parameters:
  `index` - The index of the image being considered
  `nx` - The width of the candidate image
  `ny` - The height of the caandiate image
  `tx` - The x-value of the requested point.
  `ty` - The y-value of the requested point.
Returns:
  A measure of the desirability of using this image to same this point. Larger is better.